package com.brilliance.isc.common.monmod.vo;

import com.brilliance.isc.common.forexmod.ForexmodVo;
import com.brilliance.isc.common.setglg.vo.SetglgVo;
import com.brilliance.isc.common.vo.*;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;


@Data
public class MonmodVo extends AbstractCommonVo {

    //业务摘要信息
    private BizInfoVo rec;

    //业务修改摘要信息
    private BizAmdInfoVo amdRec;

    //交易角色参与方列表
    private List<PtsptaVo> ptsList;

    private SetglgVo setglg;

    //需校验的客户inr
    private String ptyinr;

    //风险降级信息
    private String downgradeMsg;

    private ForexmodVo forexmod;


    @Override
    public void reset() {
        if (rec == null) {
            rec = new BizInfoVo();
        }
        if (amdRec == null) {
            amdRec = new BizAmdInfoVo();
        }
        if (ptsList == null) {
            ptsList = new ArrayList<>();
        }

    }
}
